unit WordEgU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    WordInfoBtn: TButton;
    DataLst: TListBox;
    procedure WordInfoBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  OleAuto;

{$R *.DFM}

var
  MSWord, DocStats: Variant;

procedure TForm1.WordInfoBtnClick(Sender: TObject);
begin
  MsWord := CreateOleObject('Word.Basic');
  MsWord.AppShow;
  //Update doc stats
  MsWord.DocumentStatistics;
  //Obtain doc stats
  DocStats := MsWord.CurValues.FileSummaryInfo;
  with DataLst.Items do
  begin
    BeginUpdate;
    Clear;
    Add(VarToStr(DocStats.NumPages) + ' pages');
    Add(VarToStr(DocStats.NumParas) + ' paragraphs');
    Add(VarToStr(DocStats.NumLines) + ' lines');
    Add(VarToStr(DocStats.NumWords) + ' words');
    Add(VarToStr(DocStats.NumChars) + ' characters');
    Add(VarToStr(DocStats.FileSize) + ' bytes in total');
    EndUpdate;
  end;
end;

end.
