unit OptU;
{$ifdef Win32}
  {$OPTIMIZATION OFF}
{$endif}
interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Loop: Longint;
  Data: array[0..5000] of Integer;

implementation

{$R *.DFM}

procedure BubbleSort(var A: array of Integer);
var
  I, J, T: Integer;
begin
  for I := High(A) downto Low(A) do
    for J := Low(A) to High(A) - 1 do
      if A[J] > A[J + 1] then
      begin
        T := A[J];
        A[J] := A[J + 1];
        A[J + 1] := T;
      end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  OldTime: TDateTime;
  W: Word;
begin
  W := 0;
  Button1.Enabled := False;
  for Loop := Low(Data) to High(Data) do
    Data[Loop] := Random(MaxInt);
  OldTime := Time;
  BubbleSort(Data);
  Label1.Caption := TimeToStr(Time - OldTime);
  Button1.Enabled := True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Label1.Caption := '';
end;

initialization
  Randomize;
end.
